Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(72)

Unified Diff: chrome/tools/mac_repack_grit_resources.sh

Issue 28171: Wire up resource bundles on the mac:... (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/src/
Patch Set: Created 11 years, 10 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: chrome/tools/mac_repack_grit_resources.sh
===================================================================
--- chrome/tools/mac_repack_grit_resources.sh (revision 0)
+++ chrome/tools/mac_repack_grit_resources.sh (revision 0)
@@ -0,0 +1,34 @@
+#!/bin/sh
Mark Mentovai 2009/02/26 04:08:42 These scripts are OK, they don't apply directly as
TVL 2009/02/26 12:25:34 Yea, rather then try to make them more fancy to ha
+
+# Copyright (c) 2009 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+set -ex
+GENERATED_DIR="${CONFIGURATION_TEMP_DIR}/generated"
+GRIT_DIR="${GENERATED_DIR}/grit"
+REPACKED_DIR="${GENERATED_DIR}/grit_repacked"
+mkdir -p "${REPACKED_DIR}"
+
+# TODO: these need dependency checks
+
+python "${PROJECT_DIR}/../tools/data_pack/repack.py" \
+ "${REPACKED_DIR}/chrome.pak" \
+ "${GRIT_DIR}/browser_resources.pak" \
+ "${GRIT_DIR}/debugger_resources.pak" \
+ "${GRIT_DIR}/common_resources.pak" \
+ "${GRIT_DIR}/renderer_resources.pak"
+
+# Need two to repack, but linux avoids that by directly invoking the module, so
+# we just cp instead.
+cp -f "${GRIT_DIR}/theme_resources.pak" "${REPACKED_DIR}/theme.pak"
+
+
+# TODO: we when these are built for each language, we need to loop over
+# the languages and do the repack on all of them.
+
+python "${PROJECT_DIR}/../tools/data_pack/repack.py" \
+ "${REPACKED_DIR}/locale_en-US.pak" \
+ "${GRIT_DIR}/generated_resources_en-US.pak" \
+ "${GRIT_DIR}/chromium_strings_en-US.pak" \
+ "${GRIT_DIR}/locale_settings_en-US.pak"
Property changes on: chrome/tools/mac_repack_grit_resources.sh
___________________________________________________________________
Name: svn:executable
+ *
« chrome/common/resource_bundle_mac.mm ('K') | « chrome/tools/mac_copy_grit_resources.sh ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698